### Hierarchy

- XmlAttributeComponent<IPageMarginAttributes>
  - PageMarginAttributes

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- isDeleted

### Methods

- prepForXml
- set

### Object literals

- xmlKeys

## Constructors

### constructor

- new PageMarginAttributes(properties: IPageMarginAttributes): PageMarginAttributes

- Inherited from XmlAttributeComponent.constructor

  Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:8

  #### Parameters

  - ##### properties: IPageMarginAttributes

  #### Returns PageMarginAttributes

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: IPageMarginAttributes

Inherited from XmlAttributeComponent.root

- Defined in file/xml-components/default-attributes.ts:7

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlAttributeComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:15

  #### Returns IXmlableObject

### set

- set(properties: IPageMarginAttributes): void

- Inherited from XmlAttributeComponent.set

  - Defined in file/xml-components/default-attributes.ts:27

  #### Parameters

  - ##### properties: IPageMarginAttributes

  #### Returns void

## Object literals

### Protected xmlKeys

xmlKeys: object

Overrides XmlAttributeComponent.xmlKeys

- Defined in file/document/body/section-properties/page-margin/page-margin-attributes.ts:14

### bottom

bottom: string = "w:bottom"

- Defined in file/document/body/section-properties/page-margin/page-margin-attributes.ts:17

### footer

footer: string = "w:footer"

- Defined in file/document/body/section-properties/page-margin/page-margin-attributes.ts:20

### gutter

gutter: string = "w:gutter"

- Defined in file/document/body/section-properties/page-margin/page-margin-attributes.ts:21

### header

header: string = "w:header"

- Defined in file/document/body/section-properties/page-margin/page-margin-attributes.ts:19

### left

left: string = "w:left"

- Defined in file/document/body/section-properties/page-margin/page-margin-attributes.ts:18

### right

right: string = "w:right"

- Defined in file/document/body/section-properties/page-margin/page-margin-attributes.ts:16

### top

top: string = "w:top"

- Defined in file/document/body/section-properties/page-margin/page-margin-attributes.ts:15

Generated using TypeDoc